%RADAROVERLAY class definition
%
%   Usage:
%      radaroverlay=radaroverlay();

classdef radaroverlay
	properties (SetAccess=public) 
		pwr = NaN;
		x   = NaN;
		y   = NaN;
	end
	methods
		function obj = radaroverlay(varargin) % {{{
			switch nargin
				case 0
					obj=setdefaultparameters(obj);
				otherwise
					error('constructor not supported');
			end
		end % }}}
		function obj = setdefaultparameters(obj) % {{{

		end % }}}
		function disp(obj) % {{{
			disp(sprintf('   radaroverlay parameters:'));

			fielddisplay(obj,'pwr','radar power image (matrix)');
			fielddisplay(obj,'x','corresponding x coordinates [m]');
			fielddisplay(obj,'y','corresponding y coordinates [m]');

		end % }}}
	end
end
